summaryrefslogtreecommitdiffstats
path: root/audio/lmms
diff options
context:
space:
mode:
author Zbigniew Baniewski <zb@ispid.com.pl>2011-01-04 10:00:12 -0200
committer Robby Workman <rworkman@slackbuilds.org>2011-01-10 15:04:20 -0600
commit34178c93c45fbf40fb08226e1897b3e2457bd588 (patch)
tree5c388543b4622009eba5f8a41e2b44d41fde323b /audio/lmms
parent0f386a54c01d25395e05e0bb7779ff8e8ab4db29 (diff)
downloadslackbuilds-34178c93c45fbf40fb08226e1897b3e2457bd588.tar.gz
slackbuilds-34178c93c45fbf40fb08226e1897b3e2457bd588.tar.xz
audio/lmms: Added (Linux MultiMedia Studio)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio/lmms')
-rw-r--r--audio/lmms/README7
-rw-r--r--audio/lmms/doinst.sh8
-rw-r--r--audio/lmms/lmms.SlackBuild85
-rw-r--r--audio/lmms/lmms.info10
-rw-r--r--audio/lmms/slack-desc19
5 files changed, 129 insertions, 0 deletions
diff --git a/audio/lmms/README b/audio/lmms/README
new file mode 100644
index 0000000000..ff71d1e8e2
--- /dev/null
+++ b/audio/lmms/README
@@ -0,0 +1,7 @@
+LMMS is a free cross-platform alternative to commercial programs like FL
+Studio, which allow you to produce music with your computer. This includes
+the creation of melodies and beats, the synthesis and mixing of sounds, and
+arranging of samples. You can have fun with your MIDI-keyboard and much
+more; all in a user-friendly and modern interface.
+
+This requires libsndfile.
diff --git a/audio/lmms/doinst.sh b/audio/lmms/doinst.sh
new file mode 100644
index 0000000000..e4e6459838
--- /dev/null
+++ b/audio/lmms/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/audio/lmms/lmms.SlackBuild b/audio/lmms/lmms.SlackBuild
new file mode 100644
index 0000000000..5c6983d193
--- /dev/null
+++ b/audio/lmms/lmms.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for lmms
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=lmms
+VERSION=0.4.8
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar jxvf $CWD/${PRGNAM}-${VERSION}.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ ..
+
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+# Move man pages to correct location
+mv $PKG/usr/share/man $PKG/usr/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/lmms/lmms.info b/audio/lmms/lmms.info
new file mode 100644
index 0000000000..5db7deef42
--- /dev/null
+++ b/audio/lmms/lmms.info
@@ -0,0 +1,10 @@
+PRGNAM="lmms"
+VERSION="0.4.8"
+HOMEPAGE="http://lmms.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/lmms/lmms-0.4.8.tar.bz2"
+MD5SUM="8573b8376808c77c058cca3a57a36d8d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"
diff --git a/audio/lmms/slack-desc b/audio/lmms/slack-desc
new file mode 100644
index 0000000000..53bd872fbc
--- /dev/null
+++ b/audio/lmms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lmms: lmms (Linux MultiMedia Studio)
+lmms:
+lmms: Linux Multi-Media Studio: multi-track rythm, midi, beat, editor.
+lmms:
+lmms: http://lmms.sourceforge.net/
+lmms:
+lmms:
+lmms:
+lmms:
+lmms:
+lmms: